## org.eclipse.amp.amf.sd.gen.builder
Class Merge

    java.lang.Object
      org.eclipse.xpand2.output.OutputImpl
          org.eclipse.amp.amf.sd.gen.builder.Merge

All Implemented Interfaces:
  org.eclipse.xpand2.output.InsertionPointSupport, org.eclipse.xpand2.output.Output

    public class Merge

extends org.eclipse.xpand2.output.OutputImpl

Constructor Summary
`Merge()`

Method Summary
`void` `closeFile()`

Methods inherited from class org.eclipse.xpand2.output.OutputImpl
`activateInsertionPoint, addOutlet, current__testONLY, current, deactivateInsertionPoint, getFileHandles, getOutlet, isNewLine, openFile, popStatement, pushStatement, registerInsertionPoint, removeWSAfterLastNewline, resolveOutlet, setAutomaticHyphens, trimUntilNewline, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Merge

    public Merge()

Method Detail

### closeFile

    public void closeFile()

  Specified by:
    `closeFile` in interface `org.eclipse.xpand2.output.Output`
  Overrides:
    `closeFile` in class `org.eclipse.xpand2.output.OutputImpl`